## budgie-extras 0.92.0

=== debian/changelog ===
budgie-extras (0.92.0-2) unstable; urgency=medium

  * Upload experimental to unstable (Closes: #949981)

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 04 Feb 2020 17:42:43 +0000

budgie-extras (0.92.0-1) experimental; urgency=medium

  * New release
    git tag v0.92.0 beta release 3
    Shuffler updates including shortcut key revisions
    Visualspace and previews handling windows moving to other workspaces
    Revise layouts available
  * Packaging Changes
    control: bump Standards-Version; no changes required
    control: budgie-extras-daemon change dependency to suggests
    tests: replace pep8 for pycodestyle

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 30 Jan 2020 19:42:21 +0000

budgie-extras (0.91.0-1) experimental; urgency=medium

  * New release
    git tag v0.91.0 beta release 2
  * New window shuffler application
  * Translation updates
  * Packaging Changes
    run wrap-and-sort -bst to tidy up package-lists
    control: Revise recommendations for budgie-extras-daemon
    control: budgie-window-shuffler package

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 14 Jan 2020 19:24:37 +0000

budgie-extras (0.90.0-1) experimental; urgency=medium

  * New release
    git tag v0.90.0 beta release 1
  * New applets
    budgie-workspace-stopwatch-applet
    budgie-applications-menu-applet
    budgie-wallstreet
    budgie-network-manager-applet
  * budgie-visualspace-applet previous python based applet converted
    to vala
  * budgie-previews new mini-application with the previous applet
    budgie-previews-applet now replaced.
  * budgie-extras-daemon supports multiple desktop layouts
  * Bug-fixes
    desktop files includes keywords to resolve lintian information reports
    Support vertical panels for weather applet
    Rework dropby applet to prevent panel freezing issues
  * Translation updates
  * Packaging Changes
    debian/copyright refresh to include year updates and new source files
    control: add build-depends on debhelper-compat (= 12)
    compat: remove deprecated file
    control: new binaries for the listed applets above
    control: build-dependencies updated for the vala compilation
    control: budgie-visualspace-applet architecture changed to any
    control: budgie-previews-applet made transition package
    control: Add missing dependencies for hotcorners applet
    control: Add missing dependency for recentlyused applet
    control: Add missing dependency for weathershow applet
    control: change previews from a python3 based app to a vala based
      application.  Description updated for the package
    Previews install files updated
    remove unneeded docs and include-binaries files

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 09 Jan 2020 23:16:34 +0000

=== debian/control ===
Source: budgie-extras
Section: misc
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends:
 budgie-core-dev,
 cmake,
 debhelper (>= 12),
 debhelper-compat (= 12),
 dh-python,
 gnome-settings-daemon-dev,
 gobject-introspection,
 intltool,
 libappstream-dev,
 libbudgie-plugin0,
 libgdk-pixbuf2.0-dev,
 libgee-0.8-dev,
 libglib2.0-dev (>= 2.56),
 libgnome-desktop-3-dev,
 libgnome-menu-3-dev,
 libgranite-dev,
 libgtk-3-dev,
 libjson-glib-dev,
 libkeybinder-3.0-dev,
 libnm-dev,
 libnma-dev,
 libpeas-dev,
 libplank-dev,
 libsoup2.4-dev,
 libwnck-3-dev,
 libzeitgeist-2.0-dev,
 meson,
 pkg-config,
 pycodestyle,
 python3,
 valac,
Standards-Version: 4.5.0
Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
Homepage: https://ubuntubudgie.org

Package: budgie-app-launcher-applet
Architecture: all
Depends:
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 python3,
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to provide an alternative means to launch applications
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The app-launcher applet allows the ability to add favorite apps to the
 panel as well as finding and launching applications.  The list of
 applications listed can be easily configured to be visible or hidden.

Package: budgie-applications-menu-applet
Architecture: any
Depends: budgie-extras-common, gnome-menus, ${misc:Depends}, ${shlibs:Depends}
Suggests: zeitgeist-core
Description: Stylish Applications Menu for Budgie-Desktop
 Budgie-Desktop is a GTK+ based desktop environment which focuses on
 simplicity and elegance.  It provides a traditional desktop metaphor
 based interface utilising customisable panel based menu driven system.
 Budgie-Desktop is written from scratch utilising many GNOME based
 sub-systems such as GNOME-Session and Mutter.
 .
 The application-menu is a stylish panel applet that displays applications
 in different views - grid and list. Weblinks typed into the search bar
 can be opened in your default browser. Applications that have additional
 desktop options show via a right-click menu. Applications with associated
 actions show those actions are additional searchable entries.
 .
 With the optional zeitgeist package search entries learn your menu actions
 and results are automatically biased to allow you to find and execute
 applications quickly.
 .
 Variety of options are available including grid sizing and displaying a
 powerstrip.

Package: budgie-brightness-controller-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
Description: Applet to control the brightness of the screen
 This is part of a suite of python3 and Vala based applets & mini-apps
 created for the Budgie Desktop that provide additional user orientated
 capabilities. These can be used individually or as a set.
 .
 The brightness controller applet allows controlling of the screen
 levels via xrandr (fallback) or via gnome-settings-daemon (if available)

Package: budgie-clockworks-applet
Architecture: all
Depends:
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 python3,
 python3-cairosvg,
 python3-gi,
 python3-pil,
 python3-svgwrite,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to display clock across multiple time zones
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Clockworks applet displays the current time across multiple
 time zones.

Package: budgie-countdown-applet
Architecture: all
Depends:
 dconf-cli,
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 python3,
 python3-gi,
 python3-psutil,
 sound-theme-freedesktop,
 vorbis-tools,
 zenity,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet providing a countdown capability on the Budgie Desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Countdown applet provides the user the ability to start an
 action when the countdown reaches 0 seconds. Actions include flashing
 an icon in the panel, opening a notification window, sounding a
 bell or running a custom command.

Package: budgie-dropby-applet
Architecture: all
Depends:
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 python3,
 python3-gi,
 python3-psutil,
 python3-pyudev,
 zenity,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to popup when a USB device is connected
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The DropBy applet pops up in the panel when connecting a usb device.
 The applet subsequently offers the option(s) to mount, unmount/eject
 and in case of a flash drive, to make a local copy of the drive's
 content. The info shows the free space on the volume.
 .
 The applet is context- sensitive, meaning: it only shows its icon in
 the panel if, and as long as, any usb drive is connected.

Package: budgie-extras-common
Architecture: any
Depends: ${misc:Depends}
Description: Shared component of budgie-extras applets
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The shared component provides for capabilities that are utilised between
 budgie-extra applets.

Package: budgie-extras-daemon
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: plank, budgie-applications-menu-applet
Description: Extras daemon for budgie-extras capabilities
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 Budgie-Extras-Daemon provides both global keybinding and D-Bus functionality
 for various extras applets and applications.

Package: budgie-fuzzyclock-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
Description: Show the time in a fuzzy way
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 Displays the time in a 'spoken' format such as five past six.

Package: budgie-hotcorners-applet
Architecture: any
Depends:
 budgie-extras-common,
 dconf-cli,
 gnome-screensaver,
 libnotify-bin,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Applet providing hotcorners capabilities for the Budgie Desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The hotcorners applet allow user defined commands to be executed
 when the mouse cursor is pushed into a corner of the main desktop.

Package: budgie-kangaroo-applet
Architecture: all
Depends:
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 python3,
 python3-gi,
 python3-psutil,
 xdg-utils,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to allow quick file-browsing
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The kangaroo applet allows for quick & easy browsing, across
 (possibly) many directory layers, without having to do a single mouse
 click.

Package: budgie-keyboard-autoswitch-applet
Architecture: all
Depends:
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 python3,
 python3-gi,
 python3-psutil,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet adding the ability to set a different keyboard layout per application
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The Keyboard Auto Switcher applet provides the user the ability to set
 a different keyboard layout per application. Exceptions to the default
 layout can be set by simply choosing a different layout using the
 Keyboard Layout applet.

Package: budgie-network-manager-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
Description: Network Manager Applet for the budgie-desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 This package installs an Network connectivity applet for the
 budgie-desktop.

Package: budgie-previews
Architecture: any
Depends: budgie-extras-daemon, xprintidle, ${misc:Depends}, ${shlibs:Depends}
Replaces: budgie-preview-applet (<< 0.4.6~)
Breaks: budgie-previews-applet (<< 0.4.6~)
Description: Provides window previews capabilities for the Budgie Desktop
 This is part of a suite of python3 and Vala based applets & mini-apps
 created for the Budgie Desktop that provide additional user orientated
 capabilities. These can be used individually or as a set.
 .
 budgie-previews can be used on most desktop environments.
 .
 Previews shows an overview of windows in an expose like way.

Package: budgie-previews-applet
Architecture: all
Section: oldlibs
Depends: budgie-previews, ${misc:Depends}
Description: transitional package
 This is a transitional package. It can safely be removed.

Package: budgie-quickchar
Architecture: all
Depends:
 budgie-extras-daemon,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-wnck-3.0,
 python3,
 python3-gi,
 python3-pyperclip,
 python3-xlib,
 ${misc:Depends},
 ${python3:Depends},
Description: GUI to find and choose locale characters
 This is part of a suite of python3 and Vala based applets & mini-apps
 created for the Budgie Desktop that provide additional user orientated
 capabilities. These can be used individually or as a set.
 .
 Quickly find and choose the equivalent locale character for an ascii
 character.
 .
 Quickchar can be used on most desktop environments invoked by a shortcut key.

Package: budgie-quicknote-applet
Architecture: any
Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
Description: Applet providing simple notes capability for the Budgie Desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The quicknote applet allows a user to record a text based note.
 The applet supports multiple undo and redo capabilities.

Package: budgie-recentlyused-applet
Architecture: any
Depends: budgie-extras-common, xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Description: Applet displays files recently accessed for the Budgie Desktop
 This is part of a suite of python3 and Vala based applets for the Budgie
 Desktop that provide additional user orientated capabilities.
 The applets can be used individually or as a set.
 .
 The recentlyused applet displays the users files that have been opened
 or created within a configurable period of time.

Package: budgie-rotation-lock-applet
Architecture: all
Depends:
 gir1.2-budgie-1.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-peas-1.0,
 python3,
 python3-gi,
 ${misc:Depends},
 ${python3:Depends},
Description: Applet to lock or unlock the screen rotation

## budgie-extras 0.94.0

=== debian/changelog ===
budgie-extras (0.94.0-1) unstable; urgency=medium

  * New release
    git tag v0.94.0 release candidate 1
    Translation updates
    Add path to subprocess executables to ensure applets are running
    with system defined calls
    Shuffler fixes to ensure positioning on last row is correct
    Applications menu remove double click for logout
    Lots of fixes throughout applets for issues raised by
    errors.ubuntu.com reports
    Previews; don't translate an empty string

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 08 Mar 2020 22:01:37 +0000

budgie-extras (0.93.0-2) unstable; urgency=medium

  * Add wmctrl, xdotool as dependencies for various applets

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 29 Feb 2020 16:10:14 +0000

budgie-extras (0.93.0-1) unstable; urgency=medium

  * New release
    git tag v0.93.0 beta release 4
    Translation updates
    Shuffler animations
    Shuffler tiling fixes
    Scaling fix for hotcorners
    Ensure path to /usr/bin exes are used for spawned processes

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 16 Feb 2020 17:08:39 +0000

=== debian/control ===
--- 
+++ 
@@ -154,6 +154,7 @@
  python3-psutil,
  python3-pyudev,
  zenity,
+ wmctrl,
  ${misc:Depends},
  ${python3:Depends},
 Description: Applet to popup when a USB device is connected
@@ -209,6 +210,7 @@
  dconf-cli,
  gnome-screensaver,
  libnotify-bin,
+ xdotool,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Applet providing hotcorners capabilities for the Budgie Desktop
@@ -251,6 +253,7 @@
  python3,
  python3-gi,
  python3-psutil,
+ wmctrl,
  ${misc:Depends},
  ${python3:Depends},
 Description: Applet adding the ability to set a different keyboard layout per application
@@ -306,6 +309,7 @@
  python3-gi,
  python3-pyperclip,
  python3-xlib,
+ wmctrl,
  ${misc:Depends},
  ${python3:Depends},
 Description: GUI to find and choose locale characters

## budgie-extras 1.0.1

=== debian/changelog ===
budgie-extras (1.0.1-2) unstable; urgency=medium

  * Bug-fix release
    - Do not follow symlinks pointing to other partitions when emptying the
      trash-can otherwise the location pointed to will also be deleted
      (LP: #1872197)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 11 Apr 2020 16:26:57 +0100

budgie-extras (1.0.1-1) unstable; urgency=medium

  * Service release
    - See ChangeLog
    - Resolves segmentation faults and numerous errors.ubuntu.com
      reports due to using v3.36.0 version of libwnck3 (LP: #1870898)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 09 Apr 2020 13:47:18 +0100

budgie-extras (1.0.0-1) unstable; urgency=medium

  * New release
    Stable release following beta and release candidates
    See ChangeLog

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 27 Mar 2020 22:05:56 +0000

budgie-extras (0.95.0-1) unstable; urgency=medium

  * New release
    git tag v0.95.0 release candidate 2
    Translation updates
    Fix errors.ubuntu.com reports for takeabreak
    Fix category view sorting in applications menu (LP: #1868400)
    Fix launching pkexec based apps in the applications menu
    Tidy codebase for countdown applet
  * Packaging changes
    control: Add missing dependencies for applets (xdotool, zenity, wmctrl)

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 22 Mar 2020 14:37:56 +0000

=== debian/control ===
--- 
+++ 
@@ -232,6 +232,7 @@
  python3-gi,
  python3-psutil,
  xdg-utils,
+ zenity,
  ${misc:Depends},
  ${python3:Depends},
 Description: Applet to allow quick file-browsing

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib --datadir=/usr/share

override_dh_auto_test:
	dh_auto_test
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./tools/run-pep8
endif

override_dh_python3:
	dh_python3 /usr/lib/budgie-desktop/plugins

## budgie-extras 1.0.2

=== budgie-applications-menu/applications-menu/meson_options.txt ===
option('with-unity', type : 'boolean', value : 'false', description : 'Add Unity launcher support')
option('with-zeitgeist', type : 'boolean', value : 'true', description : 'Add Zeitgeist support')

=== debian/changelog ===
budgie-extras (1.0.2-0ubuntu1) focal; urgency=medium

  * Service release (LP: #1881261)
    - See ChangeLog
    - Source upload of Debian package v1.0.2-1 to focal series
  * Packaging Changes
    - update runtime dependencies for some applets and shuffler miniapp
      where runtime callouts to those executables are made
    - Drop trashsymlinks since incorporated into the current release

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 29 May 2020 10:19:18 +0100

=== debian/control ===
--- 
+++ 
@@ -255,6 +255,7 @@
  python3-gi,
  python3-psutil,
  wmctrl,
+ x11-utils,
  ${misc:Depends},
  ${python3:Depends},
 Description: Applet adding the ability to set a different keyboard layout per application
@@ -280,7 +281,7 @@
 
 Package: budgie-previews
 Architecture: any
-Depends: budgie-extras-daemon, xprintidle, ${misc:Depends}, ${shlibs:Depends}
+Depends: budgie-extras-daemon, xprintidle, xinput, ${misc:Depends}, ${shlibs:Depends}
 Replaces: budgie-preview-applet (<< 0.4.6~)
 Breaks: budgie-previews-applet (<< 0.4.6~)
 Description: Provides window previews capabilities for the Budgie Desktop
@@ -356,4 +357,3 @@
  python3-gi,
  ${misc:Depends},
  ${python3:Depends},
-Description: Applet to lock or unlock the screen rotation

=== debian/tests/control ===
Test-Command: tools/run-pep8
Depends: pycodestyle
Restrictions: superficial

## budgie-extras 1.1.0

=== meson_options.txt ===
option('build-all', type: 'boolean', value: true, description: 'Build all applets')
option('build-wpreviews', type: 'boolean', value: false, description: 'Build windows previews applet')
option('build-wswitcher', type: 'boolean', value: false, description: 'Build workspace switcher applet')
option('build-hotcorners', type: 'boolean', value: false, description: 'Build hotcorners applet')
option('build-quicknote', type: 'boolean', value: false, description: 'Build quicknote applet')
option('build-wmover', type: 'boolean', value: false, description: 'Build Window & Desktop Mover applet')
option('build-wsoverview', type: 'boolean', value: false, description: 'Build Workspaces and windows overview applet')
option('build-showtime', type: 'boolean', value: false, description: 'Build Showtime applet')
option('build-countdown', type: 'boolean', value: false, description: 'Build Countdown applet')
option('build-keyboard-autoswitch', type: 'boolean', value: false, description: 'Build Keyboard autoswitch applet')
option('build-rotation-lock', type: 'boolean', value: false, description: 'Build screen rotation lock applet')
option('build-clockworks', type: 'boolean', value: false, description: 'Build clockworks applet')
option('build-dropby', type: 'boolean', value: false, description: 'Build dropby applet')
option('build-kangaroo', type: 'boolean', value: false, description: 'Build kangaroo applet')
option('build-weathershow', type: 'boolean', value: false, description: 'Build show weather applet')
option('build-trash', type: 'boolean', value: false, description: 'Build trash applet')
option('build-app-launcher', type: 'boolean', value: false, description: 'Build app-launcher applet')
option('build-recentlyused', type: 'boolean', value: false, description: 'Build recently-used applet')
option('build-takeabreak', type: 'boolean', value: false, description: 'Build take-a-break applet')
option('build-workspacestopwatch', type: 'boolean', value: false, description: 'Build workspace-stopwatch applet')
option('build-extrasdaemon', type: 'boolean', value: false, description: 'Build extras daemon')
option('build-quickchar', type: 'boolean', value: false, description: 'Build quickchar miniapp')
option('build-fuzzyclock', type: 'boolean', value: false, description: 'Build fuzzy clock applet')
option('build-brightness-controller', type: 'boolean', value: false, description: 'Build brightness controller applet')
option('build-visualspace', type: 'boolean', value: false, description: 'Build visualspace miniapp')
option('build-wallstreet', type: 'boolean', value: false, description: 'Build wallstreet miniapp')
option('build-applications-menu', type: 'boolean', value: false, description: 'Build applications-menu applet')
option('build-network-manager', type: 'boolean', value: false, description: 'Build network-manager applet')
option('build-window-shuffler', type: 'boolean', value: false, description: 'Build window shuffler')
option('with-zeitgeist', type : 'boolean', value : 'true', description : 'Add Zeitgeist support')

=== budgie-applications-menu/applications-menu/meson_options.txt ===
option('with-zeitgeist', type : 'boolean', value : 'true', description : 'Add Zeitgeist support')

=== debian/changelog ===
budgie-extras (1.1.0-1) unstable; urgency=medium

  * New Release
    - v1.1.0 Stable release
    - See ChangeLog
  * Packaging Changes
    - control: build-dependency change from libhandy-0.0-dev to
      libhandy-1-dev

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 17 Sep 2020 21:45:41 +0100

budgie-extras (1.0.91-1) unstable; urgency=medium

  * New release
    - git tag v1.0.91 beta 2 release
    - See ChangeLog

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 07 Sep 2020 20:05:31 +0100

budgie-extras (1.0.90-1) unstable; urgency=medium

  * New release
    - git tag v1.0.90 beta1 release
    - see ChangeLog
  * Packaging Changes:
    - Remove all patches since merged in this new release
    - control: bump debhelper version
    - control: budgie-workspace-wallpaper-applet change arch to any
    - control: update missing runtime dependencies

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 17 Aug 2020 14:40:05 +0100

budgie-extras (1.0.2-2) unstable; urgency=medium

  * Add patch to resolve test suite failure (Closes: #962935)
    - 0001-apply_pycodestyle.patch
  * debian/tests add superficial as a restriction since the test
    only covers source-code checks (Closes: #963023)

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 17 Jun 2020 16:02:48 +0100

budgie-extras (1.0.2-1) unstable; urgency=medium

  * Service release (LP: #1881261)
    - See ChangeLog
  * Packaging Changes
    - update runtime dependencies for some applets and shuffler miniapp
      where runtime callouts to those executables are made
    - Drop trashsymlinks since incorporated into the current release

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 29 May 2020 10:19:18 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends:
  budgie-core-dev,
  cmake,
- debhelper (>= 12),
- debhelper-compat (= 12),
+ debhelper (>= 13),
+ debhelper-compat (= 13),
  dh-python,
  gnome-settings-daemon-dev,
  gobject-introspection,
@@ -20,6 +20,7 @@
  libgnome-menu-3-dev,
  libgranite-dev,
  libgtk-3-dev,
+ libhandy-1-dev,
  libjson-glib-dev,
  libkeybinder-3.0-dev,
  libnm-dev,
@@ -153,8 +154,9 @@
  python3-gi,
  python3-psutil,
  python3-pyudev,
+ util-linux (>= 2.31.1),
+ wmctrl,
  zenity,
- wmctrl,
  ${misc:Depends},
  ${python3:Depends},
 Description: Applet to popup when a USB device is connected
@@ -184,7 +186,7 @@
 Package: budgie-extras-daemon
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: plank, budgie-applications-menu-applet
+Suggests: budgie-applications-menu-applet, plank
 Description: Extras daemon for budgie-extras capabilities
  This is part of a suite of python3 and Vala based applets for the Budgie
  Desktop that provide additional user orientated capabilities.
@@ -281,7 +283,12 @@
 
 Package: budgie-previews
 Architecture: any
-Depends: budgie-extras-daemon, xprintidle, xinput, ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ budgie-extras-daemon,
+ xinput,
+ xprintidle,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Replaces: budgie-preview-applet (<< 0.4.6~)
 Breaks: budgie-previews-applet (<< 0.4.6~)
 Description: Provides window previews capabilities for the Budgie Desktop
@@ -312,6 +319,7 @@
  python3-pyperclip,
  python3-xlib,
  wmctrl,
+ x11-utils,
  ${misc:Depends},
  ${python3:Depends},
 Description: GUI to find and choose locale characters
@@ -356,4 +364,3 @@
  python3,
  python3-gi,
  ${misc:Depends},
- ${python3:Depends},

## budgie-extras 1.2.0

=== meson_options.txt ===
--- 
+++ 
@@ -28,3 +28,5 @@
 option('build-network-manager', type: 'boolean', value: false, description: 'Build network-manager applet')
 option('build-window-shuffler', type: 'boolean', value: false, description: 'Build window shuffler')
 option('with-zeitgeist', type : 'boolean', value : 'true', description : 'Add Zeitgeist support')
+option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
+option('xdg-appdir', type: 'string', description: 'XDG autostart path')

=== debian/changelog ===
budgie-extras (1.2.0-0ubuntu1) hirsute; urgency=medium

  * New Release
    - v1.2.0 Stable release
    - See ChangeLog
  * Packaging Changes
    - copyright: bumped 2020 to 2021

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 16 Mar 2021 18:27:35 +0000

budgie-extras (1.1.90-0ubuntu1) hirsute; urgency=medium

  * New release
    - git tag v1.1.90 beta 1 release
    - See ChangeLog
  * Packaging Changes:
    - control: bump StandardsVersion - no changes required
    - control: budgie-app-launcher-applet add runtime dependency
      gir1.2-gmenu-3.0
    - control: add build-dependency libnotify-dev

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 20 Feb 2021 23:24:56 +0000

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  libkeybinder-3.0-dev,
  libnm-dev,
  libnma-dev,
+ libnotify-dev,
  libpeas-dev,
  libplank-dev,
  libsoup2.4-dev,
@@ -35,7 +36,7 @@
  pycodestyle,
  python3,
  valac,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
 Homepage: https://ubuntubudgie.org
@@ -45,6 +46,7 @@
 Depends:
  gir1.2-budgie-1.0,
  gir1.2-glib-2.0,
+ gir1.2-gmenu-3.0,
  gir1.2-gtk-3.0,
  gir1.2-peas-1.0,
  python3,
@@ -362,5 +364,3 @@
  gir1.2-gtk-3.0,
  gir1.2-peas-1.0,
  python3,
- python3-gi,
- ${misc:Depends},

## budgie-extras 1.3.0

=== debian/changelog ===
budgie-extras (1.3.0-0ubuntu1) impish; urgency=medium

  * New stable release
    - v1.3.0
    - See ChangeLog

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 15 Sep 2021 19:53:40 +0100

budgie-extras (1.2.91-0ubuntu1) impish; urgency=medium

  * New Release
    - v1.2.91 Beta 2 release
    - See ChangeLog

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 03 Sep 2021 21:37:23 +0100

budgie-extras (1.2.90-0ubuntu1) impish; urgency=medium

  * New Release
    - v1.2.90 Beta 1 release
    - See ChangeLog
  * Packaging Changes
    - rules - don't build with zeitgeist
    - control - remove zeitgeist from build and applications-menu

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 15 Aug 2021 20:26:56 +0100

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,6 @@
  libplank-dev,
  libsoup2.4-dev,
  libwnck-3-dev,
- libzeitgeist-2.0-dev,
  meson,
  pkg-config,
  pycodestyle,
@@ -65,7 +64,6 @@
 Package: budgie-applications-menu-applet
 Architecture: any
 Depends: budgie-extras-common, gnome-menus, ${misc:Depends}, ${shlibs:Depends}
-Suggests: zeitgeist-core
 Description: Stylish Applications Menu for Budgie-Desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
@@ -78,10 +76,6 @@
  can be opened in your default browser. Applications that have additional
  desktop options show via a right-click menu. Applications with associated
  actions show those actions are additional searchable entries.
- .
- With the optional zeitgeist package search entries learn your menu actions
- and results are automatically biased to allow you to find and execute
- applications quickly.
  .
  Variety of options are available including grid sizing and displaying a
  powerstrip.
@@ -364,3 +358,8 @@
  gir1.2-gtk-3.0,
  gir1.2-peas-1.0,
  python3,
+ python3-gi,
+ ${misc:Depends},
+ ${python3:Depends},
+Description: Applet to lock or unlock the screen rotation
+ This is part of a suite of python3 and Vala based applets for the Budgie

## budgie-extras 1.4.0

=== meson_options.txt ===
--- 
+++ 
@@ -3,8 +3,6 @@
 option('build-wswitcher', type: 'boolean', value: false, description: 'Build workspace switcher applet')
 option('build-hotcorners', type: 'boolean', value: false, description: 'Build hotcorners applet')
 option('build-quicknote', type: 'boolean', value: false, description: 'Build quicknote applet')
-option('build-wmover', type: 'boolean', value: false, description: 'Build Window & Desktop Mover applet')
-option('build-wsoverview', type: 'boolean', value: false, description: 'Build Workspaces and windows overview applet')
 option('build-showtime', type: 'boolean', value: false, description: 'Build Showtime applet')
 option('build-countdown', type: 'boolean', value: false, description: 'Build Countdown applet')
 option('build-keyboard-autoswitch', type: 'boolean', value: false, description: 'Build Keyboard autoswitch applet')
@@ -27,6 +25,6 @@
 option('build-applications-menu', type: 'boolean', value: false, description: 'Build applications-menu applet')
 option('build-network-manager', type: 'boolean', value: false, description: 'Build network-manager applet')
 option('build-window-shuffler', type: 'boolean', value: false, description: 'Build window shuffler')
-option('with-zeitgeist', type : 'boolean', value : 'true', description : 'Add Zeitgeist support')
+option('with-zeitgeist', type : 'boolean', value : 'false', description : 'Add Zeitgeist support')
 option('with-stateless', type: 'boolean', value: false, description: 'Enable stateless XDG paths')
 option('xdg-appdir', type: 'string', description: 'XDG autostart path')

=== debian/changelog ===
budgie-extras (1.4.0-1ubuntu2) jammy; urgency=medium

  * Bug-fixes
    trash applet usability fixes
    - support multiple file drag and drop to panel icon
    - show trash full icon when there are items in trash
    - open trash folder instead of popup when > 100 items
    - fix paths with certain characters not restoring correctly
      trash_path_drag_drop.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 23 Mar 2022 19:29:22 +0000

budgie-extras (1.4.0-1ubuntu1) jammy; urgency=medium

  * Bug-fix
    DropBy by default is hidden so layouts with spacers appear to be
    oddly displayed
    Move-dropby-to-prevent-double-spacing-effect.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 20 Mar 2022 22:44:19 +0000

budgie-extras (1.4.0-1) unstable; urgency=medium

  * Stable release
    - See NEWS

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 11 Mar 2022 16:16:23 +0000

budgie-extras (1.3.91-1) unstable; urgency=medium

  * Beta release
    -See NEWS

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 04 Mar 2022 17:31:36 +0000

budgie-extras (1.3.90-1) unstable; urgency=medium

  * Beta release
    - See NEWS
  * Packaging Changes
    - d/control add build-depends appstream
    - d/control Bump Standards-Version; no changes required
    - d/control Add Rules-Requires-Root
    - d/control remove dconf-cli from dependencies of various
      packages.  Add libnotify-bin for packages that use
      notify-send
    - d/copyright Bump year and add FSFAP statement of metainfo files
    - d/rules - add override for dh_auto_test for pep8 checks
    - d/tests/control - remove superficial declaration since scope of
      tests has now grown
    - remove budgie-workspace-overview-applet and
      budgie-window-mover-applet packages since source has been
      deleted

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 19 Feb 2022 18:46:22 +0000

budgie-extras (1.3.0-1) unstable; urgency=medium

  * New stable release
    - v1.3.0
    - See ChangeLog
  * Packaging Changes
    - rules - don't build with zeitgeist
    - control - remove zeitgeist from build and applications-menu
    - copyright: bumped 2020 to 2021
    - control: bump StandardsVersion - no changes required
    - control: budgie-app-launcher-applet add runtime dependency
      gir1.2-gmenu-3.0
    - control: add build-dependency libnotify-dev
    - control: budgie-keyboard-autoswitch-applet add xdotool as a dependency
      (Closes: #994078)
    - metadata: Remove Homepage which resolved lintian warning
    - rules: Remove tests override to resolve lintian superficial warning

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 19 Sep 2021 11:23:29 +0100

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,9 @@
  pycodestyle,
  python3,
  valac,
-Standards-Version: 4.5.1
+ appstream
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
 Homepage: https://ubuntubudgie.org
@@ -116,7 +118,6 @@
 Package: budgie-countdown-applet
 Architecture: all
 Depends:
- dconf-cli,
  gir1.2-budgie-1.0,
  gir1.2-glib-2.0,
  gir1.2-gtk-3.0,
@@ -153,6 +154,7 @@
  util-linux (>= 2.31.1),
  wmctrl,
  zenity,
+ libnotify-bin,
  ${misc:Depends},
  ${python3:Depends},
 Description: Applet to popup when a USB device is connected
@@ -205,7 +207,6 @@
 Architecture: any
 Depends:
  budgie-extras-common,
- dconf-cli,
  gnome-screensaver,
  libnotify-bin,
  xdotool,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --with python3
 
 override_dh_auto_configure:
-	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib --datadir=/usr/share
+	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib --datadir=/usr/share -Dwith-zeitgeist=false
 
 override_dh_auto_test:
 	dh_auto_test

## budgie-extras 1.5.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 option('build-all', type: 'boolean', value: true, description: 'Build all applets')
+option('with-default-schema', type: 'boolean', value: true, description: 'Install with default schema - only needed if installing the whole package')
 option('build-wpreviews', type: 'boolean', value: false, description: 'Build windows previews applet')
 option('build-wswitcher', type: 'boolean', value: false, description: 'Build workspace switcher applet')
 option('build-hotcorners', type: 'boolean', value: false, description: 'Build hotcorners applet')

=== debian/changelog ===
budgie-extras (1.5.0-2) unstable; urgency=medium

  * Bug-fix
    - External app launching sometimes initialises before budgie-panel starts
      causing the budgie applet to terminate.
      Fix-occasional-bail-out-of-dropby-dropover.patch
      Use-Idle.add-to-spawn-Showtime-Desktop.patch
      Use-Idle.add-to-spawn-desktop-weather.patch
      Use-Idle.add-to-spawn-external-app.patch
  * Packaging Changes:
    d/control add runtime dependency gir1.2-wnck-3.0 for dropby to resolve
    minimal install failure-to-run

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 18 Feb 2023 09:58:00 +0000

budgie-extras (1.5.0-1) unstable; urgency=medium

  * Stable release
    - See NEWS
    - Fix dropby FTBFS (Closes: #1019321)
  * Packaging Changes
    - d/control B/D change to libgdk-pixbuf-2.0-dev
      (Closes: #1019309)
    - d/control Standards-Version: 4.6.1.0; no changes required

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 07 Sep 2022 21:17:19 +0100

budgie-extras (1.4.90-2) unstable; urgency=medium

  * Packaging Changes
    - remove gnome-menus from B/D and dependency (application-menu)
      since they are obsolete

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 01 Sep 2022 10:43:18 +0100

budgie-extras (1.4.90-1) unstable; urgency=medium

  * Beta release
    - See NEWS
  * Packaging Changes
    - drop existing patches since incorporated in the new release
    - d/rules update meson build to include rule not to build with
      the default schema i.e. this is only applicable to non-debian
      distros that build and install the whole of extras

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 15 Aug 2022 11:19:03 +0100

budgie-extras (1.4.0-2) unstable; urgency=medium

  * Bug-fixes
    trash applet usability fixes
    - support multiple file drag and drop to panel icon
    - show trash full icon when there are items in trash
    - open trash folder instead of popup when > 100 items
    - fix paths with certain characters not restoring correctly
      trash_path_drag_drop.patch
    DropBy by default is hidden so layouts with spacers appear to be
      oddly displayed
      Move-dropby-to-prevent-double-spacing-effect.patch
  * Packaging Changes
    - d/control add switcheroo-control recommendation to support
      dual GPUs for the applications-menu applet

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 24 May 2022 16:01:43 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,10 @@
  intltool,
  libappstream-dev,
  libbudgie-plugin0,
- libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  libgee-0.8-dev,
  libglib2.0-dev (>= 2.56),
  libgnome-desktop-3-dev,
- libgnome-menu-3-dev,
  libgranite-dev,
  libgtk-3-dev,
  libhandy-1-dev,
@@ -36,7 +35,7 @@
  python3,
  valac,
  appstream
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
@@ -65,7 +64,8 @@
 
 Package: budgie-applications-menu-applet
 Architecture: any
-Depends: budgie-extras-common, gnome-menus, ${misc:Depends}, ${shlibs:Depends}
+Depends: budgie-extras-common, ${misc:Depends}, ${shlibs:Depends}
+Recommends: switcheroo-control
 Description: Stylish Applications Menu for Budgie-Desktop
  Budgie-Desktop is a GTK+ based desktop environment which focuses on
  simplicity and elegance.  It provides a traditional desktop metaphor
@@ -147,6 +147,7 @@
  gir1.2-glib-2.0,
  gir1.2-gtk-3.0,
  gir1.2-peas-1.0,
+ gir1.2-wnck-3.0,
  python3,
  python3-gi,
  python3-psutil,
@@ -363,4 +364,3 @@
  ${misc:Depends},
  ${python3:Depends},
 Description: Applet to lock or unlock the screen rotation
- This is part of a suite of python3 and Vala based applets for the Budgie

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	dh $@ --with python3
 
 override_dh_auto_configure:
-	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib --datadir=/usr/share -Dwith-zeitgeist=false
+	dh_auto_configure -- --prefix=/usr --libdir=/usr/lib --datadir=/usr/share -Dwith-zeitgeist=false -Dwith-default-schema=false
 
 override_dh_auto_test:
 	dh_auto_test

=== debian/tests/control ===
Test-Command: tools/run-pep8
Depends: pycodestyle

## budgie-extras 1.6.0

=== debian/changelog ===
budgie-extras (1.6.0-1ubuntu0.1) lunar-security; urgency=medium

  * SECURITY UPDATE: Predictable /tmp path could lead to
    denial-of-service/manipulation of data for clockworks applet
    (LP: #2044373)
    - d/patches/clockwork-tmpxdg.patch: change /tmp path
      usage to use XDG_RUNTIME_DIR/HOME user-space locations,
      thanks to original author
      d/patches/clockwork-tmpxdg-pep8.patch: resolve pep8
      package test failure, thanks to original author
    - CVE-2023-49342
  * SECURITY UPDATE: Predictable /tmp path could lead to
    denial-of-service/manipulation of data for dropby applet
    (LP: #2044373)
    - d/patches/dropby-tmpxdg.patch: change /tmp path
      usage to use XDG_RUNTIME_DIR/HOME user-space locations
      d/patches/dropby-tmpxdg-pep8.patch: resolve pep8
      package test failure, thanks to original author
    - CVE-2023-49343
  * SECURITY UPDATE: Predictable /tmp path could lead to
    denial-of-service/manipulation of data for shuffler app
    (LP: #2044373)
    - d/patches/shuffler-tmpxdg.patch: change /tmp path
      usage to use XDG_RUNTIME_DIR/HOME user-space locations,
      thanks to original author
    - CVE-2023-49344
  * SECURITY UPDATE: Predictable /tmp path could lead to
    denial-of-service/manipulation of data for takeabreak
    applet (LP: #2044373)
    - d/patches/takeabreak-tmpxdg.patch: change /tmp path
      usage to use XDG_RUNTIME_DIR/HOME user-space locations,
      thanks to original author
      d/patches/takeabreak-tmpxdg-pep8.patch: resolve pep8
      package test failure, thanks to original author
      d/patches/takeabreak-tmpxdg-pep8_part2.patch: resolve pep8
      package test failure, thanks to original author
    - CVE-2023-49345
  * SECURITY UPDATE: Predictable /tmp path could lead to
    denial-of-service/manipulation of data for weathershow
    applet (LP: #2044373)
    - d/patches/weathershow-tmpxdg.patch: change /tmp path
      usage to use XDG_RUNTIME_DIR/HOME user-space locations,
      thanks to original author
    - CVE-2023-49346
  * SECURITY UPDATE: Predictable /tmp path could lead to
    denial-of-service/manipulation of data for window
    previews applet (LP: #2044373)
    - d/patches/wpreviews-tmpxdg.patch: change /tmp path
      usage to use XDG_RUNTIME_DIR/HOME user-space locations,
      thanks to original author
    - CVE-2023-49347

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 07 Nov 2023 20:35:46 +0000

budgie-extras (1.6.0-1) experimental; urgency=medium

  * Stable release
    - See NEWS
  * Packaging Changes:
    d/control add runtime dependency gnome-menus for app-launcher to
    resolve minimal install failure-to-run

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 16 Mar 2023 20:59:33 +0000

budgie-extras (1.5.91-1) experimental; urgency=medium

  * Beta 2 release
    - See NEWS
  * Packaging Changes:
    d/control add runtime dependency gir1.2-wnck-3.0 for dropby to resolve
    minimal install failure-to-run

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 01 Mar 2023 21:53:42 +0000

budgie-extras (1.5.90-1) experimental; urgency=medium

  * Beta release
    - See NEWS
  * Packaging Changes
    - d/control StandardVersion bump; no changes required

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 17 Feb 2023 21:24:33 +0000

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
  python3,
  valac,
  appstream
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://github.com/UbuntuBudgie/budgie-extras/tree/debian
 Vcs-Git: https://github.com/UbuntuBudgie/budgie-extras -b debian
@@ -51,6 +51,7 @@
  gir1.2-peas-1.0,
  python3,
  python3-gi,
+ gnome-menus,
  ${misc:Depends},
  ${python3:Depends},
 Description: Applet to provide an alternative means to launch applications

## budgie-extras 1.7.0

=== debian/changelog ===
budgie-extras (1.7.0-3) unstable; urgency=medium

  * Bug-fix
    - Ensure Trash icon correctly displays in 'theone' layout
      Update-Trash-ID.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 12 Sep 2023 20:01:35 +0100

budgie-extras (1.7.0-2) unstable; urgency=medium

  * Upload to unstable as part of budgie-desktop v10.8 transition

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 21 Aug 2023 20:01:38 +0100

budgie-extras (1.7.0-1) experimental; urgency=medium

  * Stable release
    - See NEWS
  * Packaging Changes
    d/control drop transitional package budgie-previews-applet as it has
    been released with bullseye and bookworm already (Closes: #1038250)
    d/control make budgie-trash-applet a transitional package since it has
    been superseded by the trash applet in budgie-desktop v10.8

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 09 Aug 2023 19:34:16 +0100

=== debian/control ===
--- 
+++ 
@@ -288,8 +288,6 @@
  xprintidle,
  ${misc:Depends},
  ${shlibs:Depends},
-Replaces: budgie-preview-applet (<< 0.4.6~)
-Breaks: budgie-previews-applet (<< 0.4.6~)
 Description: Provides window previews capabilities for the Budgie Desktop
  This is part of a suite of python3 and Vala based applets & mini-apps
  created for the Budgie Desktop that provide additional user orientated
@@ -299,13 +297,6 @@
  .
  Previews shows an overview of windows in an expose like way.
 
-Package: budgie-previews-applet
-Architecture: all
-Section: oldlibs
-Depends: budgie-previews, ${misc:Depends}
-Description: transitional package
- This is a transitional package. It can safely be removed.
-
 Package: budgie-quickchar
 Architecture: all
 Depends:
@@ -365,3 +356,12 @@
  ${misc:Depends},
  ${python3:Depends},
 Description: Applet to lock or unlock the screen rotation
+ This is part of a suite of python3 and Vala based applets for the Budgie
+ Desktop that provide additional user orientated capabilities.
+ The applets can be used individually or as a set.
+ .
+ The Rotation Lock applet provides the user an easy way to lock or
+ unlock the screen rotation.
+
+Package: budgie-showtime-applet
+Architecture: any
